#!/usr/bin/expect
# expect synchronize.sh SERVER USER PASSWORD WIKISERVERPATH WIKILOCALPATH PATH

spawn unison ssh://[lindex $argv 1]@[lindex $argv 0]/[lindex $argv 3] [lindex $argv 4] -batch -path data/pages[lindex $argv 5]

set timeout 50

expect {
	"yes/no"
	{
		send "yes\r"
		exp_continue
	}
	assword
	{
		send "[lindex $argv 2]\r"
		exp_continue
	}
	"is not a directory in one of the replicas"
	{
		exp_send_error "directory"		
		exp_continue
	}
	timeout
	{
		exit
	} 
	eof 
	{
		exit
	}
}

