<?php


function my_html_show_synchronization($conflicts,$path)
{	
	if(count($conflicts) > 0)
	{
		echo '<form method="post" action="">';
		echo '<input type="hidden" name="synchronizacja2">';
		foreach($conflicts as $conflict)
		{
			echo '<div style="width:100%; padding: 10px; font-size: 14px; text-align: left; color: #555; background-color: #DDD">';
			echo '<b>"'.$conflict.'":</b>';
			echo '<font color="red"> KONFLIKT</font>';
			echo '</div>';
					
			$id = substr($conflict,11);
			$id = substr($id,0,strlen($id)-4);
			$id = str_replace('/',':',$id);			
			my_html_diff($id);
		}
		echo '<input type="submit" value="synchronizuj">';
		echo '</form>';
	}
}

function my_html_diff($id)
{
	// porownaj obecna i poprzednia
	$l_rev = '';
	$revs = getRevisions($id, 0, 1);
	$r_rev = $revs[0];
	
	$r_head = 'Wersja lokalna (poprzednia):';
	$l_head  = 'Wersja pobrana z serwera (obecna):';
	$l_text = rawWiki($id,$l_rev);
	$r_text = rawWiki($id,$r_rev);
	
	// diff
	$df = new Diff(explode("\n",htmlspecialchars($l_text)),
				   explode("\n",htmlspecialchars($r_text)));
				   
	// wydruk tabeli
	$mtdf = new MyTableDiffFormatter($id);
	$format = $mtdf->format($df);
	if($format)
	{
		echo '<table class="diff">';
		echo '<tr>';
		echo '<th colspan="2">';
		echo $l_head;
		echo '</th>';
		echo '<th colspan="2">';
		echo $r_head;
		echo '</th>';
		echo '</tr>';
		echo $format;		
		echo '</table>';
	}
	
}		







function my_html_index()
{
	require_once(DOKU_INC.'inc/search.php');
	global $conf;
	global $ID;
	$dir = $conf['datadir'];
	
	if(empty($ns))
	{
		$ns = dirname(str_replace(':','/',$ID));
		if($ns == '.')
			$ns ='';
	}
	$ns  = utf8_encodeFN(str_replace(':','/',$ns));
	
	echo '<div id="index__tree">';
	
	$data = array();
	search($data,$conf['datadir'],'search_index',array('ns' => $ns));
	echo my_html_buildlist($data,'idx','my_html_list_index','my_html_li_index');

	echo '</div>';
}

function my_html_list_index($item)
{
	global $ID;
	
	$tab = explode(":", $ID);
	$maxIndex = count($tab)-1;
	$id = '';
	for($i=0; $i<$maxIndex; $i++)
	{
		$id .= ':'.$tab[$i];
	}
	$id = substr($id,1);
	
	$ret = '';
	$base = ':'.$item['id'];
	$base = substr($base,strrpos($base,':')+1);
	if($item['type']=='d')
	{		
		
		if(ereg("^$ID", $item['id']))
		{
			$ret .= '<strong style="color: green">';
		}
		else
			$ret .= '<strong>';
			
		$tmp = str_replace(':','/',$item['id']);
		$ret .= '<form method="post" action=""><input type="hidden" name="synchronizacja">';
		$ret .= '<input type="hidden" name="path" value="'.$tmp.'">';
		$ret .= '<input type="submit" value="S"></form> ';
		
		$ret .= $base;
		$ret .= '</strong>';
		
	}
	else
	{
		$tab = explode(":", $item['id']);

		
		if(ereg("^$ID", $item['id']))
		{
			$ret .= '<strong style="color: green">';
						
		}		
		else
			$ret .= '<strong>';
		
		$tmp = str_replace(':','/',$item['id']);
		$ret .= '<form method="post" action=""><input type="hidden" name="synchronizacja">';
		$ret .= '<input type="hidden" name="path" value="'.$tmp.'.txt">';
		$ret .= '<input type="submit" value="S"></form> ';
			
		$ret .= $tab[count($tab)-1];
		$ret .= '</strong>';
		
	}
	
	return $ret;
}


function my_html_li_index($item)
{
	if($item['type'] == "f")
	{
		return '<li class="level'.$item['level'].'">';
	}
	elseif($item['open'])
	{
		return '<li class="open">';
	}
	else
	{
		return '<li class="closed">';
	}
}

function my_html_buildlist($data,$class,$func,$lifunc)
{
	$level = 0;
	$opens = 0;
	$ret   = '';
	
	foreach ($data as $item)
	{
		if($item['level'] > $level)
		{
			//open new list
			for($i=0; $i<($item['level'] - $level); $i++)
			{
				if ($i) $ret .= "<li class=\"clear\">\n";
				$ret .= "\n<ul class=\"$class\">\n";
			}
		}
		elseif($item['level'] < $level)
		{
			//close last item
			$ret .= "</li>\n";
			for ($i=0; $i<($level - $item['level']); $i++)
			{
				//close higher lists
				$ret .= "</ul>\n</li>\n";
			}
		}
		else
		{
			//close last item
			$ret .= "</li>\n";
		}
		
		//remember current level
		$level = $item['level'];
		
		//print item
		$ret .= call_user_func($lifunc,$item);
		$ret .= '<div class="li">';
		$ret .= call_user_func($func,$item);
		$ret .= '</div>';
	}
	
	//close remaining items and lists
	for ($i=0; $i < $level; $i++)
	{
		$ret .= "</li></ul>\n";
	}
	
	return $ret;
}

?>