#!/usr/bin/expect
# expect unisontest.sh SERVER USER PASSWORD WIKISERVERPATH WIKILOCALPATH

spawn unison ssh://[lindex $argv 1]@[lindex $argv 0]/[lindex $argv 3] [lindex $argv 4] -testserver

expect {
	"yes/no"
	{
		send "yes\r"
		exp_continue
	}
	assword
	{
		send "[lindex $argv 2]\r"
		exp_continue
	}
	"ermission denied"
	{
		exp_send_error "permission denied"
		exp_continue
	}
	"atal error"
	{
		exp_send_error "fatal error"
                exp_continue
	}
	timeout
	{
		exit
	}
	eof
	{
		exit
	}
}

