#!/usr/bin/expect
# expect unisontest.sh SERVER USER PASSWORD WIKISERVERPATH WIKILOCALPATH

spawn ssh [lindex $argv 1]@[lindex $argv 0] ls [lindex $argv 3]

expect {
	"yes/no"
	{
		send "yes\r"
		exp_continue
	}
	assword
	{
		send "[lindex $argv 2]\r"
		exp_continue
	}
	"ermission denied"
	{
		exp_send_error "permission denied"
		exp_continue
	}
	"atal error"
	{
		exp_send_error "fatal error"
                exp_continue
	}
	"o such file or directory"
	{
		exp_send_error "no such file or directory"
                exp_continue
	}
	timeout
	{
		exit
	}
	eof
	{
		exit
	}
}

